Skip to content
GET/{organizationId}/{mandateId}/misc/questionnaires/forms/{questionnaireFormId}

Get questionnaire

Returns a questionnaire

Required permissions:

  • mandate.read

  • questionnaireForm.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
questionnaireFormIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/misc/questionnaires/forms/{questionnaireFormId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/misc/questionnaires/forms/{questionnaireFormId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

ObjectId as string

namestringrequired

minLength: 1

maxLength: 64

statusstringrequired

Options:

draftactivepausedclosed

Additional properties are not allowed.

Additional properties are not allowed.

Additional properties are not allowed.

maxItems: 20

Additional properties are not allowed.

Response

200
{
  "_id": "000000000000000000000001",
  "mandate": "000000000000000000000001",
  "name": "string",
  "status": "draft",
  "form": {
    "schema": {
      "groups": [
        {
          "id": "string",
          "label": "string",
          "fields": [
            {
              "id": "string",
              "type": "placeholder",
              "name": "string"
            }
          ]
        }
      ]
    },
    "pageMode": "segments",
    "introText": "string"
  },
  "submit": {
    "submitCaption": "string",
    "useCaptcha": true,
    "submittedText": "string",
    "navigateUrl": "string",
    "navigateWaitSeconds": 0
  },
  "confirmation": {
    "confirmationMail": {
      "subject": "string",
      "message": "string"
    },
    "mustConfirmEmail": true,
    "expressaTemplate": "000000000000000000000001"
  },
  "notificationUserIds": [
    "string"
  ],
  "results": {
    "total": 0,
    "fields": {}
  }
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}